# This file represents the base specification of your challenge. It is used by
# other tools to install and deploy your challenge.

# Required sections
name: "usb"
author: "author"
category: "8. Augusbus"
description: "Een toetsenbord is eigenlijk ook gewoon een USB apparaat. Deze blogpost vertelt je hoe je wireshark kunt gebruiken om mee te kijken met het USB verkeer van en naar je computer: https://blog.davehylands.com/capturing-usb-serial-using-wireshark/\n
Bijvoorbeeld op het moment dat iemand een gebruikersnaam en/of wachtwoord intoetst.\n

Analyseer het bijgeleverde usb_keyboard.pcapng bestand. Kun jij de ingetoetste vlag achterhalen?\n
Let op, deze vlag heeft qua syntax een net iets andere vorm dan de andere puzzels. \n

Flag = jcr[...]\n

Extra: Vermakelijke presentatie over hoe barcode scanners ook USB apparaten zijn: https://media.ccc.de/v/mch2022-254-everything-is-an-input-device-fun-with-barcodes-"
value: 150
type: standard

# Specify a host to deploy the challenge onto.
# The currently supported URI schemes are ssh:// and registry://
# ssh is an ssh URI where the above image will be copied to and deployed (e.g. ssh://root@123.123.123.123)
# registry is a Docker registry tag (e.g registry://registry.example.com/test/image)
# host can also be specified during the deploy process: `ctf challenge deploy challenge --host=ssh://root@123.123.123.123`
host: null

# Optional settings

# Can be removed if unused
# Leave at 0 for unlimited
attempts: 0

# Flags specify answers that your challenge use. You should generally provide at least one.
# Can be removed if unused
# Accepts strings or dictionaries of CTFd API data
flags:
    # A static case sensitive flag
    - jcr[asjw28dnvorqn]

# Provide paths to files from the same directory that this file is in
# Accepts strings
files:
    - usb_keyboard.pcapng


hints:
    - {
        ID: standard,
        content: "Op het Internet zijn blogs te vinden over de volgende zoekwoorden: reverse, engineer, usb, keystroke, from, pcap, file",
        cost: 0
    }
    - {
        ID: standard,
        content: "Als je code van het Internet gaat kopieren, let dan op dat symbolen als \" \" en ' ' nog wel eens voor syntax problemen zorgen en dat je dit in je eigen script moet repareren/vervangen.",
        cost: 0
    }

# The state of the challenge.
# If the field is omitted, the challenge is visible by default.
# If provided, the field can take one of two values: hidden, visible.
state: visible

# Specifies what version of the challenge specification was used.
# Subject to change until ctfcli v1.0.0
version: "0.1"